InsertTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.template.InsertTag,InsertTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.template
Class InsertTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.template.InsertTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

Deprecated. Use Tiles instead.

public class InsertTag
extends javax.servlet.jsp.tagext.TagSupport

This is the tag handler for <template:insert>, which includes a template. The tag's body content consists of <template:put> tags, which are accessed by <template:get> in the template.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  David Geary
See Also:
  Serialized Form

Field Summary
`private ContentMap` | `map` Deprecated. Each insert tag has a map of content.
`private java.lang.String` | `template` Deprecated. The application-relative URI of the template.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InsertTag()` Deprecated.

Method Summary
`int` | `doEndTag()` Deprecated. Use Tiles instead.
`int` | `doStartTag()` Deprecated. Use Tiles instead.
`ContentMap` | `getContentMap()` Deprecated. Use Tiles instead.
`java.lang.String` | `getTemplate()` Deprecated. Use Tiles instead.
`void` | `put(java.lang.String name, Content content)` Deprecated. Use Tiles instead.
`void` | `release()` Deprecated. Use Tiles instead.
`private void` | `saveException(java.lang.Throwable exception)` Deprecated. Use Tiles instead.
`void` | `setTemplate(java.lang.String template)` Deprecated. Use Tiles instead.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    private ContentMap map

  Deprecated.
  Each insert tag has a map of content.

### template

    private java.lang.String template

  Deprecated.
  The application-relative URI of the template.

Constructor Detail

### InsertTag

    public InsertTag()

  Deprecated.

Method Detail

### setTemplate

    public void setTemplate(java.lang.String template)

  Deprecated. Use Tiles instead.

  Set the template attribute.

### getTemplate

    public java.lang.String getTemplate()

  Deprecated. Use Tiles instead.

  Get the template attribute.

### getContentMap

    public ContentMap getContentMap()

  Deprecated. Use Tiles instead.

  Get the map attribute.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated. Use Tiles instead.

  Process the start tag by pushing this tag's map onto the content map stack. See org.apache.struts.taglib.template.util.ContentMapStack.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Deprecated. Use Tiles instead.

  Process the end tag by including the template.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
    `javax.servlet.jsp.JspException`

### put

    public void put(java.lang.String name,
                    Content content)

  Deprecated. Use Tiles instead.

  This method is a convenience for <template:put> tags for putting content into the map.

### release

    public void release()

  Deprecated. Use Tiles instead.

  Reset member values for reuse. This method calls super.release(), which invokes TagSupport.release(), which typically does nothing.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### saveException

    private void saveException(java.lang.Throwable exception)

  Deprecated. Use Tiles instead.

  Save the specified exception in request scope if there is not already one present.

  Parameters:
    `exception` - Exception to be conditionally saved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation